Gentoo Archives: gentoo-user

From: John Campbell <jdc.rpv@×××.net>
To: gentoo-user@l.g.o
Subject: Re: [gentoo-user] Compilation error mpv / libav
Date: Wed, 08 Nov 2017 05:05:08
Message-Id: 0886619f-ae0c-4e3f-af33-8355a040e5f1@cox.net
> I installed ffmpeg-9999 and it compiles fines. > > Everything else failed again (for example mpv-9999). > > Why does an update of already ok installed applications > break something in parts because the installation > has components, which are mutually exclusive? > They weren't before (whichout the update everythong was fine...)
I've been periodically fighting with mpv and ffmpeg for various reasons for quite some time. Which is why I've been pushed into running live versions of both. Version bumps on ebuilds that fail version checks (like this one) is my first line of defence. The reason live rebuilds keep breaking even though they're installed it the upstream developers change to library requirements and flags without telling anyone. There's a bug report about this at https://bugs.gentoo.org/635650 which seems to offer several solutions and satisfies none... It looks like the decision at present is "wait and hope it gets fixed upstream"

Replies

Subject Author
Re: [gentoo-user] Compilation error mpv / libav R0b0t1 <r030t1@×××××.com>